%if %suse_version == 900
	%define		httpdroot	/srv/www
	%define		myadmindir	%httpdroot/htdocs/phpmyadmin
	%define		httpd_user	wwwrun
	%define		httpd_group	www
	%define		sw_rel		suse90
	%define		apache		apache2
	%define		mysql_init	mysql
%endif

%define sw_rel fc1

Summary:	PhpMyAdmin is intended to handle the adminstration of MySQL over the web
Name:		phpmyadmin
Version:	2.5.6
Release:	1.intergenia
License:	GPL v2
Group:		Applications/Internet
Source0:	http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin-%{version}.tar.bz2
Source1:	configure_phpmyadmin
Source2:	phpmyadmin_check_table.sql
Source3:	phpmyadmin_mysql_check.sql
Source4:	phpmyadmin_modify_tables.sql
Source5:	phpmyadmin_check_old_tables.sql
Source6:	phpmyadmin_check_old_tables_rename.sql
Source7:	phpmyadmin_rename_tables.sql
Patch2:		phpmyadmin-2.5.2-create_table_sql.patch
Patch3:		phpmyadmin-2.5.0-add_new_user.patch
Patch4:		phpmyadmin-2.5.2-call_mysql_spasswd.patch 
URL:		http://sourceforge.net/projects/phpmyadmin/
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%if %{_vendor} == "suse"
Requires:	mod_php4-core
%endif

Requires:	%{apache}
Requires:	ed, grep, fileutils
Buildarch:	noarch
BuildRoot:	%{_tmppath}/phpMyAdmin-%{version}-root

%description
phpMyAdmin is intended to handle the adminstration
of MySQL over the web. Currently it can : create and
drop databases, create, copy, drop and alter tables,
delete, edit and add fields, execute any SQL-statement,
even batch-queries, manage keys on fields, load text
files into tables, create and read dumps of tables,
export data to CSV value, administer multiple servers
and single databases.

%prep
%setup -q -n phpMyAdmin-%{version}
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
rm -rf %buildroot

# remove all CVS dirs
find . -type d -name CVS | xargs rm -rf

mkdir -p $RPM_BUILD_ROOT%{myadmindir}
install *.css *.php *.html $RPM_BUILD_ROOT%{myadmindir}
install README ChangeLog LICENSE $RPM_BUILD_ROOT%{myadmindir}
cp -R css images lang libraries scripts $RPM_BUILD_ROOT%{myadmindir}

# Set Authentication method to cookie,
# and disable PmaAbsoluteUri warnings.
sed \
     -e "s/^\(\$cfg\['PmaAbsoluteUri_DisableWarning'\]\).*/\1 = TRUE;/" \
     -e "s/^\(\$cfg\['Servers'\]\[\$i\]\['auth_type'\][[:blank:]]*=[[:blank:]]*'\)config\('.*\)/\1cookie\2/" \
     config.inc.php > $RPM_BUILD_ROOT/%{myadmindir}/config.inc.php

sed \
     -e "s@^#!/usr/local/bin/perl@#!/usr/bin/perl@" \
     scripts/convertcfg.pl > $RPM_BUILD_ROOT/%{myadmindir}/scripts/convertcfg.pl

SRC1NAME=`basename %SOURCE1`
sed \
	-e "s#^\(PHPMYADMIN_DIR=\).*#\1\"%{myadmindir}\"#" \
	-e "s,root.apache,root.%{httpd_group},g" \
	-e "s,\/etc\/init.d\/mysqld,\/etc\/init.d\/%{mysql_init},g" \
	%SOURCE1 > $RPM_BUILD_ROOT/%{myadmindir}/scripts/${SRC1NAME}
chmod 755 $RPM_BUILD_ROOT/%{myadmindir}/scripts/${SRC1NAME}
install -p -m644 %SOURCE2 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE3 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE4 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE5 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE6 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE7 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
rm $RPM_BUILD_ROOT/%{myadmindir}/scripts/create_tables.sql.orig

%clean
rm -rf $RPM_BUILD_ROOT

%post

%if %suse_version == 900
if ! grep "^APACHE_MODULES=.*libphp4\.so" /etc/sysconfig/apache2 > /dev/null 2>&1; then
	echo -e ",s#^\(APACHE_MODULES=\"[^\"]*\)\"#\\\1 /usr/lib/apache2-prefork/libphp4.so\"#\nwq\n" | ed -s /etc/sysconfig/%{apache}
	/etc/init.d/apache2 try-restart > /dev/null 2>&1 || /bin/true
fi
%endif

%files
%defattr(644,%{httpd_user},%{httpd_group},755)
%doc INSTALL TODO
%doc CREDITS Documentation.txt RELEASE-DATE-%{version}
%dir %{myadmindir}
%attr(640,%{httpd_user},%{httpd_group}) %config(noreplace) %verify(not size mtime md5) %{myadmindir}/config.inc.php
%{myadmindir}/css
%{myadmindir}/images
%{myadmindir}/lang
%{myadmindir}/libraries
%{myadmindir}/*.html
# all but config.inc.php
%{myadmindir}/[^c]*.php
%{myadmindir}/c[^o]*.php
# FIXME: do we need the stuff below?
%{myadmindir}/README
%{myadmindir}/ChangeLog
%{myadmindir}/LICENSE
%dir %{myadmindir}/scripts
%attr(755,root,root) %{myadmindir}/scripts/configure_phpmyadmin
%{myadmindir}/scripts/*.sh
%{myadmindir}/scripts/*.pl
%{myadmindir}/scripts/*.sql
%{myadmindir}/scripts/*.php
%{myadmindir}/docs.css

%changelog
* Mon May 31 2004 Maik Broemme <mbroemme@plusserver.de> 2.5.6-1.intergenia
- initial built for SuSE Linux 9.0
